/*exported UIPPageFooter*/
/*global koObservableController, Utils, UIProvider, editor, _$*/
function UIPPageFooter(data) {
    'use strict';
    UIPPageFooter.superclass.constructor.call(this, data);
    this.value.dispose();
    this.value = ko.computed({
        read: function () {
            if (!this._valueChangeNotifier) {
                this._valueChangeNotifier = koObservableController.koBind(_$(editor.themeController.getTheme().info), this.options.attr);
            }
            return this._valueChangeNotifier();
        },
        write: function (value) {
            editor.themeController.getTheme().info[this.options.attr] = value;
        },
        owner: this,
        deferEvaluation: true
    });
}

Utils.extend(UIPPageFooter, UIProvider);